#
# spec file for package syslog-ng-java-hack
#
# Copyright (c) 2015 Peter Czanik, Budapest, Hungary.
#

Name:		syslog-ng-java-deps
Version:	1.0
Release:	2
Summary:	Java module dependencies for syslog-ng
License:	Apache-2.0
URL:		https://syslog-ng.org/
Source:		syslog-ng-java-compile-deps-mvn-repo.tgz
BuildArch:	noarch

%description
This is a hack: packaging all JAR files necessary to compile
syslog-ng java modules in a single rpm. This is needed until
most of the dependencies are missing from the distro.
Using https://github.com/lbudai/gradle_cache_to_local_maven_repo to
prepare the source tgz.

%prep
%setup -q -n syslog-ng-java-compile-deps-mvn-repo

%build

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/syslog-ng-java-compile-deps-mvn-repo
cp -R * ${RPM_BUILD_ROOT}/usr/lib/syslog-ng-java-compile-deps-mvn-repo

%files
%dir /usr/lib/syslog-ng-java-compile-deps-mvn-repo
/usr/lib/syslog-ng-java-compile-deps-mvn-repo/*

%changelog
* Mon Jul 11 2016 peter@czanik.hu
- update to latest git
- silence rpmlint warnings
